macOS 10.15 Catalina compatibility - Page 2 - Fxpansion.com

Forum

FXpansion Forum

macOS 10.15 Catalina compatibility

General FX news, discussion, and a place to speak your mind

Moderators: Drew_BFDTeam, Andreas_FX, Rory_FX, Rhi_FX, Paul_fx, clare_fx, SKoT_FX, Steve_FX, john emrich, Mully_FX, mayur_FX, Angus_FX, Moderators

User avatar
deangersmith
Posts: 4
Joined: Sat Nov 19, 2016 4:51 pm

Re: macOS 10.15 Catalina compatibility

Postby deangersmith » Sun Oct 27, 2019 7:21 am

I have updated to Catalina on my Macbook pro, not on my Mac Pro, but so far on Macbook Pro, BFD3 is operating normally, the only thing I can't do is update from BFD3 V. 3.2.3.3 (OSX 10.9 64bit) to BFD3 V. 3.3.0.44 (OSX 10.11 64bit). I haven't done extensive tests but all seems ok, can't wait to update to the latest version though, hopefully soon, keep up the good work fxpansion team. Good Luck1

User avatar
Pughey
Posts: 20
Joined: Mon Sep 08, 2008 7:47 pm
Location: Chester, U.K.

Re: macOS 10.15 Catalina compatibility

Postby Pughey » Mon Oct 28, 2019 4:58 pm

Bah! Tried that. Managed to screw up the app totally, so decided to clear it out and reinstall. The installer doesn't work with Catalina.

No BFD3 for me now :(

Doh.
-----------------------------------------------------------------
System:
BFD3 on Macbook Pro 13 retina
Reaper/Harrison Mixbus
Alesis DM10 customised & Alesis I/O trigger
Acoustic kit in the garage, in cases :(

Damagical
Posts: 28
Joined: Wed Mar 30, 2011 10:03 pm

Re: macOS 10.15 Catalina compatibility

Postby Damagical » Mon Oct 28, 2019 9:25 pm

What happens when you try to use the installer?

User avatar
Pughey
Posts: 20
Joined: Mon Sep 08, 2008 7:47 pm
Location: Chester, U.K.

Re: macOS 10.15 Catalina compatibility

Postby Pughey » Tue Oct 29, 2019 8:21 am

"BFD Installer OSX.app needs to be updated

The developer of this app needs to update it to work with this version of macOS. Contact the developer for more information."
-----------------------------------------------------------------
System:
BFD3 on Macbook Pro 13 retina
Reaper/Harrison Mixbus
Alesis DM10 customised & Alesis I/O trigger
Acoustic kit in the garage, in cases :(

jimgumns
Posts: 12
Joined: Mon Oct 13, 2008 6:54 pm

Re: macOS 10.15 Catalina compatibility

Postby jimgumns » Thu Oct 31, 2019 2:38 pm

When will this be sorted out? I had a horrible time setting my Macbook pro back so I could use BFD3.

Lawrence_fx
Posts: 570
Joined: Thu Mar 10, 2016 8:19 pm

Re: macOS 10.15 Catalina compatibility

Postby Lawrence_fx » Thu Oct 31, 2019 5:57 pm

jimgumns wrote:When will this be sorted out? I had a horrible time setting my Macbook pro back so I could use BFD3.


We are working on resolving these issues and apologise for any inconvenience this has caused. We still recommend avoiding updating until we've issued updated to the products affected by the changes in macOS 10.15 - we'll let you know as soon as these updates are available.

jimgumns
Posts: 12
Joined: Mon Oct 13, 2008 6:54 pm

Re: macOS 10.15 Catalina compatibility

Postby jimgumns » Fri Nov 15, 2019 3:36 pm

Any updates?????

tim@zentekno.com
Posts: 1
Joined: Fri Mar 06, 2015 6:50 pm

Re: macOS 10.15 Catalina compatibility

Postby tim@zentekno.com » Sat Nov 16, 2019 4:03 am

BTW don't update to Catalina if you are using Digital Performer 10 with BFD as an instrument track. It will crater DP10 before you can do anything about it. DP10 doesn't seem to have the same issue with Native Instruments stuff.

To confirm, I just created a new DP10 file, added a BFD instrument track, and bang! Crash dump.

iliealing
Posts: 12
Joined: Tue Jul 22, 2008 10:33 pm

Re: macOS 10.15 Catalina compatibility

Postby iliealing » Thu Nov 21, 2019 6:53 pm

What a shame!!! Fxpansion. We are waiting almost 3 months now for update. Any news

Lawrence_fx
Posts: 570
Joined: Thu Mar 10, 2016 8:19 pm

Re: macOS 10.15 Catalina compatibility

Postby Lawrence_fx » Fri Nov 22, 2019 5:37 pm

We have performed another round of testing with the most recent version (10.15.2) and will update you shortly on any changes.

vertibration
Posts: 2
Joined: Thu Dec 30, 2010 6:37 am

Re: macOS 10.15 Catalina compatibility

Postby vertibration » Sat Nov 23, 2019 7:05 am

I have Catalina, and Geist 2 won't even install because it can't locate the script file. Bummer

hectormhr
Posts: 1
Joined: Thu Apr 23, 2015 5:22 pm

Re: macOS 10.15 Catalina compatibility

Postby hectormhr » Tue Nov 26, 2019 10:23 pm

Any updates on this please?

Lawrence_fx
Posts: 570
Joined: Thu Mar 10, 2016 8:19 pm

Re: macOS 10.15 Catalina compatibility

Postby Lawrence_fx » Wed Nov 27, 2019 9:51 am

We're in the process of performing updates to all BFD Expansion & BFD Groove Pack installers, the BFD3 installer itself and the BFD3 Core Library installers, as the installer systems require an update to allow the installation to succeed on macOS Catalina 10.15. Older Geist2 Expanders also require this update, and the Geist2 installer requires a smaller patch to avoid any warnings during installation that Catalina has introduced. Given the size of this task that is underway, we're unable to give a specific date as to when these updates will be complete, but we aim to make these available as soon as possible.

Testing has also been performed on the latest 10.15.2 beta version of Catalina, and we can confirm that the latest versions of Strobe2 and Cypher2 should install without issue. The Geist2 installation can proceed successfully with a workaround that our support team can provide; if you encounter any installation issues with Strobe2, Cypher2 or Geist2, please let our support team know - https://support.roli.com/request

Other than BFD3 folder permissions issues raised earlier in this thread, we're not currently aware of any other compatibility issues for any FXpansion software that exists on a system when updating to Catalina from a previous macOS version. Should you encounter any such issues, please let our support team know.

Thank your for your continued patience while we work to update all affected installers and products.

marcbus27@comcast.net
Posts: 5
Joined: Mon Apr 30, 2007 4:43 pm

Re: macOS 10.15 Catalina compatibility

Postby marcbus27@comcast.net » Wed Nov 27, 2019 3:04 pm

I can’t get the export function to work since upgrading. The status goes from armed to “starting” ( instead of “recording”j during export and the files produced are empty (44mb). It was working before Catalina. So far everything else works.

Lawrence_fx
Posts: 570
Joined: Thu Mar 10, 2016 8:19 pm

Re: macOS 10.15 Catalina compatibility

Postby Lawrence_fx » Wed Nov 27, 2019 3:25 pm

marcbus27@comcast.net wrote:I can’t get the export function to work since upgrading. The status goes from armed to “starting” ( instead of “recording”j during export and the files produced are empty (44mb). It was working before Catalina. So far everything else works.


Thanks for letting us know - please reach out to our support team with as much detail as you can provide regarding this issue: https://support.roli.com/request


Return to “General Discussion”

Who is online

Users browsing this forum: No registered users and 81 guests